Changeset 2912


Ignore:
Timestamp:
Sep 12, 2013 6:04:38 AM (6 years ago)
Author:
stefan
Message:

run autotools with BuildTools?/stable/0.7

File:
1 edited

Legend:

Unmodified
Added
Removed
  • ThirdParty/Mumps/trunk/configure

    r2889 r2912  
    10831083                          icl/link). Default when mentioned: mingw. Default
    10841084                          when not mentioned: disabled.
    1085 
    10861085  --disable-pthread-mumps disable use of pthread library
    10871086  --enable-static[=PKGS]
     
    19391938
    19401939
    1941 # Check whether --enable-static-standardlibs or --disable-static-standardlibs was given.
    1942 if test "${enable_static_standardlibs+set}" = set; then
    1943   enableval="$enable_static_standardlibs"
    1944   case "$enableval" in
    1945      no | yes | auto ) ;;
    1946      *)
    1947        { { echo "$as_me:$LINENO: error: invalid argument for --enable-static-standardlibs: $enableval" >&5
    1948 echo "$as_me: error: invalid argument for --enable-static-standardlibs: $enableval" >&2;}
    1949    { (exit 1); exit 1; }; } ;;
    1950    esac
    1951    use_static_standardlibs=$enableval
    1952 else
    1953   use_static_standardlibs=no
    1954 fi;
    1955 
    1956 
    1957 
    19581940
    19591941
     
    30933075    CFLAGS="$OPT_CFLAGS"
    30943076  fi
    3095 
    30963077else
    30973078  CFLAGS="$CFLAGS $ADD_CFLAGS $CDEFS"
     
    32623243esac
    32633244
    3264 # check whether to add flags for static linking against standard libraries to LDFLAGS
    3265 if test x$use_static_standardlibs != xno ; then
    3266   case $build in
    3267     *-mingw*)
    3268       static_standardlib_flag=-static
    3269       ;;
    3270     *)
    3271       static_standardlib_flag=-static-libgcc
    3272       ;;
    3273   esac
    3274   case " $LDFLAGS " in
    3275     *" $static_standardlib_flag "* ) ;;
    3276     *)
    3277     echo "$as_me:$LINENO: checking whether linking with $static_standardlib_flag works" >&5
    3278 echo $ECHO_N "checking whether linking with $static_standardlib_flag works... $ECHO_C" >&6
    3279     coin_save_LDFLAGS="$LDFLAGS"
    3280     LDFLAGS="$LDFLAGS $static_standardlib_flag"
    3281     cat >conftest.$ac_ext <<_ACEOF
    3282 /* confdefs.h.  */
    3283 _ACEOF
    3284 cat confdefs.h >>conftest.$ac_ext
    3285 cat >>conftest.$ac_ext <<_ACEOF
    3286 /* end confdefs.h.  */
    3287 
    3288 int
    3289 main ()
    3290 {
    3291 int i=0;
    3292   ;
    3293   return 0;
    3294 }
    3295 _ACEOF
    3296 rm -f conftest.$ac_objext conftest$ac_exeext
    3297 if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
    3298   (eval $ac_link) 2>conftest.er1
    3299   ac_status=$?
    3300   grep -v '^ *+' conftest.er1 >conftest.err
    3301   rm -f conftest.er1
    3302   cat conftest.err >&5
    3303   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    3304   (exit $ac_status); } &&
    3305          { ac_try='test -z "$ac_c_werror_flag"
    3306                          || test ! -s conftest.err'
    3307   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    3308   (eval $ac_try) 2>&5
    3309   ac_status=$?
    3310   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    3311   (exit $ac_status); }; } &&
    3312          { ac_try='test -s conftest$ac_exeext'
    3313   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    3314   (eval $ac_try) 2>&5
    3315   ac_status=$?
    3316   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    3317   (exit $ac_status); }; }; then
    3318   echo "$as_me:$LINENO: result: yes" >&5
    3319 echo "${ECHO_T}yes" >&6
    3320 else
    3321   echo "$as_me: failed program was:" >&5
    3322 sed 's/^/| /' conftest.$ac_ext >&5
    3323 
    3324 echo "$as_me:$LINENO: result: no" >&5
    3325 echo "${ECHO_T}no" >&6
    3326        LDFLAGS="$coin_save_LDFLAGS"
    3327        if test $use_static_standardlibs = yes ; then
    3328          { { echo "$as_me:$LINENO: error: failed to link with $static_standardlib_flag" >&5
    3329 echo "$as_me: error: failed to link with $static_standardlib_flag" >&2;}
    3330    { (exit 1); exit 1; }; }
    3331        fi
    3332 
    3333 fi
    3334 rm -f conftest.err conftest.$ac_objext \
    3335       conftest$ac_exeext conftest.$ac_ext
    3336     ;;
    3337   esac
    3338 fi
    3339 
    33403245ac_ext=c
    33413246ac_cpp='$CPP $CPPFLAGS'
     
    33663271
    33673272
    3368 
    33693273ac_ext=f
    33703274ac_compile='$F77 -c $FFLAGS conftest.$ac_ext >&5'
     
    35763480
    35773481# Provide some information about the compiler.
    3578 echo "$as_me:3578:" \
     3482echo "$as_me:3482:" \
    35793483     "checking for Fortran 77 compiler version" >&5
    35803484ac_compiler=`set X $ac_compile; echo $2`
     
    39533857    FFLAGS="$OPT_FFLAGS"
    39543858  fi
    3955 
    39563859else
    39573860  FFLAGS="$FFLAGS $ADD_FFLAGS"
     
    40963999esac
    40974000
    4098 # check whether to add flag for static linking against standard libraries to LDFLAGS
    4099 if test x$use_static_standardlibs != xno ; then
    4100   case $build in
    4101     *-mingw*)
    4102       static_standardlib_flag=-static
    4103       ;;
    4104     *)
    4105       static_standardlib_flag=-static-libgfortran
    4106       ;;
    4107   esac
    4108   case " $LDFLAGS " in
    4109     *" $static_standardlib_flag "* ) ;;
    4110     *)
    4111     echo "$as_me:$LINENO: checking whether linking with $static_standardlib_flag works" >&5
    4112 echo $ECHO_N "checking whether linking with $static_standardlib_flag works... $ECHO_C" >&6
    4113     coin_save_LDFLAGS="$LDFLAGS"
    4114     LDFLAGS="$LDFLAGS $static_standardlib_flag"
    4115     cat >conftest.$ac_ext <<_ACEOF
    4116       program main
    4117       integer i
    4118       end
    4119 _ACEOF
    4120 rm -f conftest.$ac_objext conftest$ac_exeext
    4121 if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
    4122   (eval $ac_link) 2>conftest.er1
    4123   ac_status=$?
    4124   grep -v '^ *+' conftest.er1 >conftest.err
    4125   rm -f conftest.er1
    4126   cat conftest.err >&5
    4127   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    4128   (exit $ac_status); } &&
    4129          { ac_try='test -z "$ac_f77_werror_flag"
    4130                          || test ! -s conftest.err'
    4131   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    4132   (eval $ac_try) 2>&5
    4133   ac_status=$?
    4134   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    4135   (exit $ac_status); }; } &&
    4136          { ac_try='test -s conftest$ac_exeext'
    4137   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    4138   (eval $ac_try) 2>&5
    4139   ac_status=$?
    4140   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    4141   (exit $ac_status); }; }; then
    4142   echo "$as_me:$LINENO: result: yes" >&5
    4143 echo "${ECHO_T}yes" >&6
    4144 else
    4145   echo "$as_me: failed program was:" >&5
    4146 sed 's/^/| /' conftest.$ac_ext >&5
    4147 
    4148 echo "$as_me:$LINENO: result: no" >&5
    4149 echo "${ECHO_T}no" >&6
    4150        LDFLAGS="$coin_save_LDFLAGS"
    4151        if test $use_static_standardlibs = yes ; then
    4152          { { echo "$as_me:$LINENO: error: failed to link with $static_standardlib_flag" >&5
    4153 echo "$as_me: error: failed to link with $static_standardlib_flag" >&2;}
    4154    { (exit 1); exit 1; }; }
    4155        fi
    4156 
    4157 fi
    4158 rm -f conftest.err conftest.$ac_objext \
    4159       conftest$ac_exeext conftest.$ac_ext
    4160     ;;
    4161   esac
    4162 fi
    4163 
    41644001ac_ext=c
    41654002ac_cpp='$CPP $CPPFLAGS'
     
    42244061ac_save_FFLAGS=$FFLAGS
    42254062FFLAGS="$FFLAGS $ac_verb"
    4226 (eval echo $as_me:4226: \"$ac_link\") >&5
     4063(eval echo $as_me:4063: \"$ac_link\") >&5
    42274064ac_f77_v_output=`eval $ac_link 5>&1 2>&1 | grep -v 'Driving:'`
    42284065echo "$ac_f77_v_output" >&5
     
    43024139ac_save_FFLAGS=$FFLAGS
    43034140FFLAGS="$FFLAGS $ac_cv_prog_f77_v"
    4304 (eval echo $as_me:4304: \"$ac_link\") >&5
     4141(eval echo $as_me:4141: \"$ac_link\") >&5
    43054142ac_f77_v_output=`eval $ac_link 5>&1 2>&1 | grep -v 'Driving:'`
    43064143echo "$ac_f77_v_output" >&5
     
    74787315*-*-irix6*)
    74797316  # Find out which ABI we are using.
    7480   echo '#line 7480 "configure"' > conftest.$ac_ext
     7317  echo '#line 7317 "configure"' > conftest.$ac_ext
    74817318  if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
    74827319  (eval $ac_compile) 2>&5
     
    94749311   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    94759312   -e 's:$: $lt_compiler_flag:'`
    9476    (eval echo "\"\$as_me:9476: $lt_compile\"" >&5)
     9313   (eval echo "\"\$as_me:9313: $lt_compile\"" >&5)
    94779314   (eval "$lt_compile" 2>conftest.err)
    94789315   ac_status=$?
    94799316   cat conftest.err >&5
    9480    echo "$as_me:9480: \$? = $ac_status" >&5
     9317   echo "$as_me:9317: \$? = $ac_status" >&5
    94819318   if (exit $ac_status) && test -s "$ac_outfile"; then
    94829319     # The compiler can only warn and ignore the option if not recognized
     
    97429579   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    97439580   -e 's:$: $lt_compiler_flag:'`
    9744    (eval echo "\"\$as_me:9744: $lt_compile\"" >&5)
     9581   (eval echo "\"\$as_me:9581: $lt_compile\"" >&5)
    97459582   (eval "$lt_compile" 2>conftest.err)
    97469583   ac_status=$?
    97479584   cat conftest.err >&5
    9748    echo "$as_me:9748: \$? = $ac_status" >&5
     9585   echo "$as_me:9585: \$? = $ac_status" >&5
    97499586   if (exit $ac_status) && test -s "$ac_outfile"; then
    97509587     # The compiler can only warn and ignore the option if not recognized
     
    98469683   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    98479684   -e 's:$: $lt_compiler_flag:'`
    9848    (eval echo "\"\$as_me:9848: $lt_compile\"" >&5)
     9685   (eval echo "\"\$as_me:9685: $lt_compile\"" >&5)
    98499686   (eval "$lt_compile" 2>out/conftest.err)
    98509687   ac_status=$?
    98519688   cat out/conftest.err >&5
    9852    echo "$as_me:9852: \$? = $ac_status" >&5
     9689   echo "$as_me:9689: \$? = $ac_status" >&5
    98539690   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    98549691   then
     
    1226312100  lt_status=$lt_dlunknown
    1226412101  cat > conftest.$ac_ext <<EOF
    12265 #line 12265 "configure"
     12102#line 12102 "configure"
    1226612103#include "confdefs.h"
    1226712104
     
    1236312200  lt_status=$lt_dlunknown
    1236412201  cat > conftest.$ac_ext <<EOF
    12365 #line 12365 "configure"
     12202#line 12202 "configure"
    1236612203#include "confdefs.h"
    1236712204
     
    1472314560   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1472414561   -e 's:$: $lt_compiler_flag:'`
    14725    (eval echo "\"\$as_me:14725: $lt_compile\"" >&5)
     14562   (eval echo "\"\$as_me:14562: $lt_compile\"" >&5)
    1472614563   (eval "$lt_compile" 2>conftest.err)
    1472714564   ac_status=$?
    1472814565   cat conftest.err >&5
    14729    echo "$as_me:14729: \$? = $ac_status" >&5
     14566   echo "$as_me:14566: \$? = $ac_status" >&5
    1473014567   if (exit $ac_status) && test -s "$ac_outfile"; then
    1473114568     # The compiler can only warn and ignore the option if not recognized
     
    1482714664   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1482814665   -e 's:$: $lt_compiler_flag:'`
    14829    (eval echo "\"\$as_me:14829: $lt_compile\"" >&5)
     14666   (eval echo "\"\$as_me:14666: $lt_compile\"" >&5)
    1483014667   (eval "$lt_compile" 2>out/conftest.err)
    1483114668   ac_status=$?
    1483214669   cat out/conftest.err >&5
    14833    echo "$as_me:14833: \$? = $ac_status" >&5
     14670   echo "$as_me:14670: \$? = $ac_status" >&5
    1483414671   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1483514672   then
     
    1639716234   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1639816235   -e 's:$: $lt_compiler_flag:'`
    16399    (eval echo "\"\$as_me:16399: $lt_compile\"" >&5)
     16236   (eval echo "\"\$as_me:16236: $lt_compile\"" >&5)
    1640016237   (eval "$lt_compile" 2>conftest.err)
    1640116238   ac_status=$?
    1640216239   cat conftest.err >&5
    16403    echo "$as_me:16403: \$? = $ac_status" >&5
     16240   echo "$as_me:16240: \$? = $ac_status" >&5
    1640416241   if (exit $ac_status) && test -s "$ac_outfile"; then
    1640516242     # The compiler can only warn and ignore the option if not recognized
     
    1650116338   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1650216339   -e 's:$: $lt_compiler_flag:'`
    16503    (eval echo "\"\$as_me:16503: $lt_compile\"" >&5)
     16340   (eval echo "\"\$as_me:16340: $lt_compile\"" >&5)
    1650416341   (eval "$lt_compile" 2>out/conftest.err)
    1650516342   ac_status=$?
    1650616343   cat out/conftest.err >&5
    16507    echo "$as_me:16507: \$? = $ac_status" >&5
     16344   echo "$as_me:16344: \$? = $ac_status" >&5
    1650816345   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1650916346   then
     
    1870818545   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1870918546   -e 's:$: $lt_compiler_flag:'`
    18710    (eval echo "\"\$as_me:18710: $lt_compile\"" >&5)
     18547   (eval echo "\"\$as_me:18547: $lt_compile\"" >&5)
    1871118548   (eval "$lt_compile" 2>conftest.err)
    1871218549   ac_status=$?
    1871318550   cat conftest.err >&5
    18714    echo "$as_me:18714: \$? = $ac_status" >&5
     18551   echo "$as_me:18551: \$? = $ac_status" >&5
    1871518552   if (exit $ac_status) && test -s "$ac_outfile"; then
    1871618553     # The compiler can only warn and ignore the option if not recognized
     
    1897618813   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1897718814   -e 's:$: $lt_compiler_flag:'`
    18978    (eval echo "\"\$as_me:18978: $lt_compile\"" >&5)
     18815   (eval echo "\"\$as_me:18815: $lt_compile\"" >&5)
    1897918816   (eval "$lt_compile" 2>conftest.err)
    1898018817   ac_status=$?
    1898118818   cat conftest.err >&5
    18982    echo "$as_me:18982: \$? = $ac_status" >&5
     18819   echo "$as_me:18819: \$? = $ac_status" >&5
    1898318820   if (exit $ac_status) && test -s "$ac_outfile"; then
    1898418821     # The compiler can only warn and ignore the option if not recognized
     
    1908018917   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1908118918   -e 's:$: $lt_compiler_flag:'`
    19082    (eval echo "\"\$as_me:19082: $lt_compile\"" >&5)
     18919   (eval echo "\"\$as_me:18919: $lt_compile\"" >&5)
    1908318920   (eval "$lt_compile" 2>out/conftest.err)
    1908418921   ac_status=$?
    1908518922   cat out/conftest.err >&5
    19086    echo "$as_me:19086: \$? = $ac_status" >&5
     18923   echo "$as_me:18923: \$? = $ac_status" >&5
    1908718924   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1908818925   then
Note: See TracChangeset for help on using the changeset viewer.